--  Widget for RES training App
--  for Horus
--  30.7.2021 
--  written: ChrisOHara
--  this software is free
--  #########################################


local buildMode = ...
local res = nil
        local error = 0;

local options = {
	{ "Restore", BOOL, 0},
	{ "Text", COLOR, BLACK},
	{ "Warning", COLOR, YELLOW}
}
local TELE_PATH = "/SCRIPTS/TELEMETRY/"


-- Run once at the creation of the widget
local function create(zone, options)
	resZone = { zone = zone, options = options }
	res = loadScript(TELE_PATH .. "res_H.lua","bt")()
	res.init()
	return resZone
end

-- This function allow updates when you change widgets settings
local function update(resZone, options)
	resZone.options = options
	return
end

-- Called periodically when custom telemetry screen containing widget is visible.
local function refresh(resZone)
	res.background()
	res.run()
	return
end

-- Called periodically when custom telemetry screen containing widget is not visible
local function bg(resZone)
	res.background()
	return
end

return { name = "Res", options = options, create = create, update = update, refresh = refresh, background = bg }